#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 6. Text Editors

- Prev

  JOE-4.6

- Next

  Mousepad-0.6.3

- Up
- Home

# kate-24.12.2

## Introduction to Kate

The Kate package contains an advanced KF6 based graphical text editor.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/24.12.2/src/kate-24.12.2.tar.xz

- Download MD5 sum: 6517550d19fca2d139c6288f44283e70

- Download size: 7.9 MB

- Estimated disk space required: 504 MB

- Estimated build time: 1.0 SBU (using parallelism=4)

### Kate Dependencies

#### Required

KDE Frameworks-6.11.0

## Installation of Kate

Install Kate by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX  \
          -D CMAKE_BUILD_TYPE=Release          \
          -D BUILD_TESTING=OFF                 \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kate and kwrite
Installed Libraries: Several plugins under $KF6_PREFIX/lib/plugins
Installed Directories: $KF6_PREFIX/lib/plugins/ktexteditor, $KF6_PREFIX/lib/plugins/plasma/dataengine, $KF6_PREFIX/share/doc/HTML/*/{kate,katepart,kwrite}, $KF6_PREFIX/share/{kateproject,katexmltools}, and $KF6_PREFIX/share/plasma/plasmoids/org.kde.plasma.katesessions

### Short Descriptions

kate | is an advanced text editor for kde
kwrite | is a text editor for KDE, that is a light version of kate

- Prev

  JOE-4.6

- Next

  Mousepad-0.6.3

- Up
- Home